<?php

/**
 * TodoModSaveNewCardCreatorAfterSave
 *
 * @author Tomasz Świenty
 * @version 0.1
 * @copyright Copyright (c) eDokumenty
 */
final class TodoModSaveNewCardCreatorAfterSave {


    public static function init($args) {

        $message = 'Dodano nowe zadanie';

        if ($contid = SystemRegistry::get('UserSettings.ContactID')) {
            require_once('./classes/Notifications/NotificationSettings.inc');

            $metaData = array(
                'ny_cat' => NotifierCategories::EVENT_ADD_TODO,
                'n__msg' => $message,
                'nscls_' => 'TODO',
                'nskey_' => $args['event']->get('evntid'),
                'nstxt_' => $args['event']->get('sumary'),
            );

            // tablica kogo chcesz powiadomić
            $receivers = $args['event']->get('emp_id');

            // wybór kanału powiadomień na podstawie typu powiadomienia i odbiorców
            $notifyChannels = NotificationSettings::prepareNotifyChannelsForReceivers(NotifierCategories::EVENT_ADD_TODO, $receivers);

            // pobranie szablonu jeśli powiadomienie pójdzie na maila
            $template = NotificationSettings::getEmailNotifyTemplateByCode(NotifierCategories::EVENT_ADD_TODO);

            if (is_array($notifyChannels) AND $notifyChannels) {
                foreach ($notifyChannels as $notifyChannel => $notifyChannelReceivers) {
                    if ($notifyChannelReceivers) {
                        $notifier = new Notifier();
                        $notifier->setContextBean($args['event']);
                        $notifier->setTemplate($template);
                        $notifier->setMetaData($metaData);
                        $notifier->setReceivers($notifyChannelReceivers);
                        $notifier->setNotifiersType($notifyChannel);
                        $notifier->setMessage($message);

                        $notifier->send();
                    }
                }
            }
        }

    }

}

if (isset($args)) {
    TodoModSaveNewCardCreatorAfterSave::init($args);
}